<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/white"
    android:orientation="vertical">

    <include layout="@layout/confide_title_bar" />

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <com.jcodecraeer.xrecyclerview.XRecyclerView
            android:id="@+id/rv_list"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            />

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/quick_consult_card"
            android:layout_width="match_parent"
            android:layout_height="52dp"
            android:layout_alignParentBottom="true"
            android:layout_marginLeft="15dp"
            android:layout_marginRight="15dp"
            android:layout_marginBottom="20dp"
            android:background="@drawable/confide_card_consult_bg"
            android:orientation="horizontal"
            android:paddingLeft="@dimen/platform_dp_8"
            android:paddingTop="1dp"
            android:elevation="2dp"
            android:paddingBottom="1dp"
            android:paddingRight="@dimen/platform_dp_8"
            android:visibility="visible">

            <ImageView
                android:id="@+id/confide_logo"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="8dp"
                android:src="@drawable/confide_call_logo"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                android:layout_marginTop="@dimen/platform_dp_12"
                android:layout_marginBottom="@dimen/platform_dp_12"
                >

            </ImageView>

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:ellipsize="end"
                android:gravity="center_vertical"
                android:maxLines="1"
                android:text="智能推荐，一键倾诉"
                android:textColor="@color/white"
                android:textSize="14dp"
                android:textStyle="bold"
                android:layout_marginStart="@dimen/platform_dp_8"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintStart_toEndOf="@id/confide_logo"
                app:layout_constraintTop_toTopOf="parent" />
            <FrameLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                app:layout_constraintEnd_toEndOf="parent"
                android:layout_marginBottom="@dimen/platform_dp_12"
                app:layout_constraintTop_toTopOf="@id/confide_logo"
                app:layout_constraintBottom_toBottomOf="@id/confide_logo"

                >
                <TextView
                    android:id="@+id/quick_consult_btn"
                    android:layout_width="wrap_content"
                    android:layout_height="30dp"
                    android:background="@drawable/confide_consult_btn_bg"
                    android:layout_marginRight="24dp"
                    android:gravity="center"
                    android:paddingTop="@dimen/platform_dp_5"
                    android:paddingBottom="@dimen/platform_dp_5"
                    android:paddingLeft="@dimen/platform_dp_7"
                    android:paddingRight="@dimen/platform_dp_7"
                    android:text="我要倾诉"
                    android:layout_marginTop="@dimen/platform_dp_12"
                    android:textColor="#55CDA0"
                    android:textSize="13sp"
                    android:textStyle="bold"
                    app:drawableRightCompat="@drawable/confide_right_arrow" />

                <ImageView
                    android:id="@+id/confideRed"
                    android:layout_width="@dimen/platform_dp_40"
                    android:layout_height="@dimen/confide_dp_25"
                    android:layout_gravity="right|top"
                    android:visibility="gone"
                    android:layout_marginEnd="10dp"
                    android:src="@drawable/confide__free" />

                <!--<TextView
                    android:id="@+id/confide_Free"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:background="@drawable/bg_confide_free"
                    android:layout_gravity="right|top"
                    android:paddingLeft="5dp"
                    android:paddingTop="2dp"
                    android:paddingRight="5dp"
                    android:paddingBottom="2dp"
                    android:text="首单免费"
                    android:visibility="gone"
                    android:textColor="@color/white"
                    android:textSize="11sp" />-->

                <com.facebook.drawee.view.SimpleDraweeView
                    android:id="@+id/confide_Free"
                    android:layout_width="@dimen/platform_dp_64"
                    android:layout_height="@dimen/platform_dp_34"
                    app:layout_constraintCircle="@+id/layoutCall"
                    android:paddingLeft="5dp"
                    android:layout_marginTop="-7dp"
                    android:paddingRight="5dp"
                    android:paddingBottom="2dp"
                    android:layout_gravity="right|top"
                    android:visibility="gone"
                    />
        </FrameLayout>

        </androidx.constraintlayout.widget.ConstraintLayout>

        <View
            android:id="@+id/v_zhezhao"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginTop="48dp"
            android:background="#80000000"
            android:visibility="gone" />

        <RelativeLayout
            android:id="@+id/rl_search_head"
            android:layout_width="match_parent"
            android:layout_height="@dimen/platform_dp_48"
            android:background="@color/white"
            android:visibility="gone"
            tools:visibility="gone">

            <View
                android:id="@+id/view_search_input_bg"
                android:layout_width="match_parent"
                android:layout_height="32dp"
                android:layout_centerVertical="true"
                android:layout_marginLeft="@dimen/confide_dp_15"
                android:layout_marginRight="@dimen/confide_dp_15"
                android:background="@drawable/confide_bg_hot_search_input"
                android:tag="tag_search_input_bg" />

            <ImageView
                android:id="@+id/iv_search_icon"
                android:layout_width="14dp"
                android:layout_height="14dp"
                android:layout_centerVertical="true"
                android:layout_marginLeft="@dimen/platform_dp_25"
                android:layout_marginRight="10dp"
                android:scaleType="centerCrop"
                android:src="@drawable/confide_icon_input_search"
                android:tag="tag_search_input_img" />

            <TextView
                android:id="@+id/etSearch"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:layout_marginRight="20dp"
                android:layout_toLeftOf="@+id/iv_delete_icon"
                android:layout_toRightOf="@id/iv_search_icon"
                android:background="@null"
                android:cursorVisible="true"
                android:hint="请输入倾诉师姓名"
                android:imeOptions="actionSearch"
                android:maxLength="100"
                android:singleLine="true"
                android:tag="tag_search_input_edit"
                android:textColor="#242424"
                android:textColorHint="#b3b3b3"
                android:textCursorDrawable="@drawable/confide_edit_cursor_drawable"
                android:textSize="13sp" />

            <ImageView
                android:id="@+id/iv_delete_icon"
                android:layout_width="14dp"
                android:layout_height="14dp"
                android:layout_alignRight="@+id/view_search_input_bg"
                android:layout_centerVertical="true"
                android:layout_marginRight="12dp"
                android:scaleType="centerCrop"
                android:src="@drawable/platform_delete"
                android:visibility="invisible" />


        </RelativeLayout>

        <com.ydl.confide.home.widget.ConfideHomeFilterView
            android:id="@+id/v_filterView"
            android:layout_width="match_parent"
            android:layout_height="48dp"
            android:background="@color/white"
            android:layout_below="@+id/rl_search_head"
            android:visibility="gone"
            tools:visibility="gone"/>

        <View
            android:id="@+id/vFilterLine"
            android:layout_width="match_parent"
            android:layout_below="@+id/v_filterView"
            android:visibility="gone"
            android:layout_height="1px"
            android:background="#E1E1E4" />

        <com.ydl.ydlcommon.mvp.lce.view.YDLStateView
            android:id="@+id/lce_state_view"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignLeft="@+id/rv_list"
            android:layout_alignTop="@+id/rv_list"
            android:layout_alignRight="@+id/rv_list"
            android:layout_alignBottom="@+id/rv_list"
            android:visibility="gone" />

    </RelativeLayout>

</LinearLayout>
